class Prompt {
  private native String getLine(String prompt);
  public static void main(String args[]) {
    Prompt p = new Prompt();
    String input = p.getLine("Wprowad wiersz: ");
    System.out.println("Użytkownik wpisał: " + input);
  }
  static {
    System.loadLibrary("MyImpOfPrompt");
  }
}

